## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.mem0.ai/llms.txt)

Use this file to discover all available pages before exploring further.

---

### API Reference

#### Retrieving Memory

To use the Python SDK, install the package:

```python
# pip install mem0ai

from mem0 import MemoryClient
client = MemoryClient(api_key="your_api_key")

memory = client.get(memory_id="<memory_id>")
```

To use the JavaScript SDK, install the package:

```javascript
// npm i mem0ai

import MemoryClient from 'mem0ai';
const client = new MemoryClient({ apiKey: "your-api-key" });

// Retrieve a specific memory
client.get("<memory_id>")
  .then(result => console.log(result))
  .catch(error => console.error(error));
```

Using cURL:

```
curl --request GET \
  --url https://api.mem0.ai/v1/memories/{memory_id}/ \
  --header 'Authorization: Token <api-key>'
```

In Go:

```go
package main

import (
	"fmt"
	"net/http"
	"io/ioutil"
)

func main() {

url := "https://api.mem0.ai/v1/memories/{memory_id}/"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Token <api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
	fmt.Println(string(body))
}
```

In PHP:

```php


```

---

### Response Structure

#### Successful Response (200)

```json
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "memory": "<string>",
  "user_id": "<string>",
  "agent_id": "<string>",
  "app_id": "<string>",
  "run_id": "<string>",
  "hash": "<string>",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
```

#### Error Response (404)

```json
{
  "error": "Memory not found!"
}
```

### Authorization

`Authorization: Token <api-key>`

### Path Parameters

- `memory_id`: string<uuid>, required. The unique identifier of the memory to retrieve.
